"use strict";

var path = require("path");
var fileUrl = require("file-url");

module.exports = function (viewDirectory, options) {
	return function (viewPath) {
		var fullPath = path.join(viewDirectory, viewPath);

		if (options.extension != null) {
			fullPath += "." + options.extension;
		}

		return fileUrl(fullPath);
	};
};
